class FThemeLocaleSettingItem {
  FThemeLocaleSettingItem({
    required this.fontFamily,
    required this.fontFamilySource,
  });

  final String fontFamily;
  final String fontFamilySource;

  factory FThemeLocaleSettingItem.fromJson(Map<String, dynamic> map) {
    return FThemeLocaleSettingItem(
      fontFamily: map['fontFamily'],
      fontFamilySource: map['fontFamilySource'],
    );
  }
}

class FThemeLocaleSettings {
  FThemeLocaleSettings.raw({
    required this.chinese,
    required this.english,
  });

  final FThemeLocaleSettingItem chinese;
  final FThemeLocaleSettingItem english;

  factory FThemeLocaleSettings({
    FThemeLocaleSettingItem? chinese,
    FThemeLocaleSettingItem? english,
  }) {
    return FThemeLocaleSettings.raw(
      chinese: FThemeLocaleSettingItem(
          fontFamily: "QNYouYuan", fontFamilySource: "font.default.zh"),
      english: FThemeLocaleSettingItem(
          fontFamily: "CalibriR", fontFamilySource: "font.default.en"),
    );
  }

  factory FThemeLocaleSettings.fromJson(Map<String, dynamic>? map) {
    if (map == null) return FThemeLocaleSettings();
    return FThemeLocaleSettings.raw(
      chinese: FThemeLocaleSettingItem.fromJson(map['chinese']),
      english: FThemeLocaleSettingItem.fromJson(map['english']),
    );
  }
}
