import 'package:flutter/foundation.dart';

import 'locale_setting.dart';
import 'manifest.dart';
import 'theme_color_scheme.dart';
import 'text_size_scheme.dart';

class FThemeData with Diagnosticable {
  FThemeData(this.name, FThemeManifestInfo manifestInfo) {
    _localeSettings = manifestInfo.localeSettings;
    _colorScheme = manifestInfo.colorScheme;
    hasDarkColorScheme = manifestInfo.darkColorScheme != null;
    _darkColorScheme = manifestInfo.darkColorScheme ?? manifestInfo.colorScheme;
    _textSizeScheme = manifestInfo.textSizeScheme;
  }

  final String name;

  late FThemeLocaleSettings _localeSettings;

  /// 主题语言配置
  FThemeLocaleSettings get localeSettings => _localeSettings;

  late bool hasDarkColorScheme;

  late FThemeColorScheme _colorScheme;

  /// 颜色组合
  FThemeColorScheme get colorScheme => _colorScheme;

  late FThemeColorScheme _darkColorScheme;

  /// 颜色组合（深色模式）
  FThemeColorScheme get darkColorScheme => _darkColorScheme;

  late FThemeTextSizeScheme _textSizeScheme;

  /// 文字尺寸组合
  FThemeTextSizeScheme get textSizeScheme => _textSizeScheme;
}
